Subject: [alpine-devel] [PATCH] APKBUILD for lxappearance package

From: k0r10n <[email-masked]>
Date: Wed, 17 Sep 2014 07:52:00 +0400

---
 aports/testing/lxappearance/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 aports/testing/lxappearance/APKBUILD

diff --git a/aports/testing/lxappearance/APKBUILD b/aports/testing/lxappearance/APKBUILD
new file mode 100644
index 0000000..c2d256f
--- /dev/null
+++ b/aports/testing/lxappearance/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer:
+
+pkgname=lxappearance
+pkgver=0.5.5
+pkgrel=0
+pkgdesc='Feature-rich GTK+ theme switcher'
+arch='all'
+license='GPL2'
+url='http://lxde.org/'
+makedepends='gtk+2.0-dev intltool dbus-glib-dev'
+subpackages="$pkgname-dev $pkgname-lang"
+source="http://downloads.sourceforge.net/sourceforge/lxde/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+build() {
+    cd "$_builddir"
+    ./configure --build=$CBUILD \
+                --host=$CHOST \
+	        --prefix=/usr \
+	        --sysconfdir=/etc \
+	        --mandir=/usr/share/man \
+	        --infodir=/usr/share/info \
+	        --localstatedir=/var \
+    		--disable-static \
+    		--enable-dbus || return 1
+    make  || return 1
+}
+
+package() {
+    cd "$_builddir"
+    make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a67113681d9d0a6d936289909aed5782  lxappearance-0.5.5.tar.xz"
+sha256sums="8cae82e6425ba8a0267774e4d10096df2d91b0597520058331684a5ece068b4c  lxappearance-0.5.5.tar.xz"
+sha512sums="7e6740b598f2b2856650fe94ccdfea94a0717c27dee6415b3abc58b0587acdca6aef22be7ec950e7c76127ef414f06eb70bfdea5f9324d2fb99cbbf2bf78522d  lxappearance-0.5.5.tar.xz"
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---